Bug 146610 - Support for Prism-based Wi-Fi cards
Support for Prism-based Wi-Fi cards
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-01-30 12:00 EST by W. Michael Petullo
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-01 23:17:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2005-01-30 12:00:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.5)
Gecko/20041220 Epiphany/1.4.7

Description of problem:
Fedora does not seem to provide a driver for my USB D-Link DWL-122.

AbsoluteValue Systems provides Open Source drivers for several Wi-Fi
cards.  Included are cards based on several Prism chips, such as the
USB D-Link DWM-122.  The drivers work well.  The downside is that they
support only a subset of the wireless extensions, so many of Fedora's
management tools don't work.

See http://www.linux-wlan.com/.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Notice that Fedora's kernel does not seem to support the D-Link DWL-122.

Additional info:
Comment 1 Dave Jones 2005-02-01 23:17:38 EST
the linux-wlan drivers are incompatible with the upstream wireless driver
subsystem, so integration isn't really possible. Your only hope is that some day
they contribute something upstream, or someone else writes an equivalent driver.
Comment 2 W. Michael Petullo 2005-02-11 15:25:53 EST
For more information, see the thread at

Note You need to log in before you can comment on or make changes to this bug.